Skip to content
PATCH /unified/accounting/purchase_orders/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

Response Body

idstring
required·

The unique identifier for purchase orders

1 supported
QuickBooks
supported
created_atstring · date-time

This represents the date when the purchase order was created

1 supported
QuickBooks
supported
currencystring

The currency of the purchase order

1 supported
QuickBooks
supported
customerstring

The customer contact making the purchase order

delivery_addressstring

The delivery address of the purchase order

1 supported
QuickBooks
supported
delivery_datestring · date-time

The delivery date of the purchase order

employeeobject

Employee contact fulfilling the purchase order

References: Employees → id
emailstring

The employee's email

idstring

The unique identifier of an employee

namestring

The employee's name

exchange_ratenumber

The exchange rate of the purchase order

issue_datestring · date-time

The issue date of the purchase order

line_itemsobject[]
1 supported
QuickBooks
supported
accountstring

The ID of the account

currencystring

The currency of the line item

descriptionstring

The description of the line item

exchange_ratenumber

The exchange rate of the currency for the line item

idstring

The unique identifier for line item

itemstring

The ID of the item

namestring

The name of the line item

quantitynumber

The quantity of the line item

tax_ratestring

The ID of the tax rate

total_line_amountnumber

The total line amount of the line item.

tracking_categoriesobject[]

Tracking categories of the line item

3 properties
idstring

The ID of the tracking category

namestring

The name of the tracking category

optionstring

The option of the tracking category

typestring

The type of the line item

unit_pricenumber

The unit price of the line item

memostring

The memo of the purchase order

remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

The status of the purchase order

Possible values:
draftsubmittedauthorisedbilleddeleted
1 supported
QuickBooks
supported
total_amountnumber

The total amount of the purchase order

1 supported
QuickBooks
supported
tracking_categoriesobject[]

Tracking categories of the purchase order

idstring

The ID of the tracking category

namestring

The name of the tracking category

optionstring

The option of the tracking category

updated_atstring · date-time

This represents the date when the purchase order was updated

1 supported
QuickBooks
supported
vendorstring

The vendor contact fulfilling the purchase order

1 supported
QuickBooks
supported
curl -X PATCH 'https://api.truto.one/unified/accounting/purchase_orders/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/accounting/purchase_orders/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'PATCH',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/accounting/purchase_orders/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "remote_data": {}
}

response = requests.patch(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.update(
  'accounting',
  'purchaseorders',
  '<resource_id>',
  {
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.update(
        "accounting",
        "purchaseorders",
        "<resource_id>",
        {
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())